quick and dirty workaround for pkgconf no longer outputting Requires.private for --libs (?)

```
$ rg 'dependencies ?: \[' -l | xargs sd 'dependencies ?: \[' 'dependencies : [glib_dep, gobject_dep, '
```

diff --git a/ext/aes/meson.build b/ext/aes/meson.build
index 169fb83..70d86c8 100644
--- a/ext/aes/meson.build
+++ b/ext/aes/meson.build
@@ -18,7 +18,7 @@ gstaes = library('gstaes',
   c_args : gst_plugins_bad_args + aes_cargs,
   link_args : noseh_link_args,
   include_directories : [configinc],
-  dependencies : [gstpbutils_dep, gstvideo_dep,
+  dependencies : [glib_dep, gobject_dep, gstpbutils_dep, gstvideo_dep,
                   aes_dep, gio_dep, libm],
   install : true,
   install_dir : plugins_install_dir,
diff --git a/ext/analyticsoverlay/meson.build b/ext/analyticsoverlay/meson.build
index 824b382..f436181 100644
--- a/ext/analyticsoverlay/meson.build
+++ b/ext/analyticsoverlay/meson.build
@@ -13,7 +13,7 @@ if gstanalyticsoverlay_ext_dep.found()
     analyticsoverlay_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc, libsinc],
-    dependencies : [
+    dependencies : [glib_dep, gobject_dep,
       gstbase_dep, gstvideo_dep, gstanalytics_dep, gstanalyticsoverlay_ext_dep
       ],
     install : true,
diff --git a/ext/aom/meson.build b/ext/aom/meson.build
index 48fb182..de7b48f 100644
--- a/ext/aom/meson.build
+++ b/ext/aom/meson.build
@@ -14,7 +14,7 @@ if aom_dep.found()
     ['gstaom.c', 'gstav1enc.c', 'gstav1dec.c', 'gstav1utils.c'],
     c_args : gst_plugins_bad_args + aom_defines,
     include_directories : [configinc],
-    dependencies : [gstpbutils_dep, gstvideo_dep, aom_dep],
+    dependencies : [glib_dep, gobject_dep, gstpbutils_dep, gstvideo_dep, aom_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/assrender/meson.build b/ext/assrender/meson.build
index a51a755..12a59f7 100644
--- a/ext/assrender/meson.build
+++ b/ext/assrender/meson.build
@@ -5,7 +5,7 @@ if ass_dep.found()
     c_args : gst_plugins_bad_args,
     link_args : noseh_link_args,
     include_directories : [configinc],
-    dependencies : [gstvideo_dep, ass_dep],
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, ass_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/avtp/meson.build b/ext/avtp/meson.build
index bc359fd..feed278 100644
--- a/ext/avtp/meson.build
+++ b/ext/avtp/meson.build
@@ -37,7 +37,7 @@ if avtp_dep.found()
     avtp_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep, gstvideo_dep, avtp_dep, libm],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, gstvideo_dep, avtp_dep, libm],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/bs2b/meson.build b/ext/bs2b/meson.build
index a7f0057..98ca1ef 100644
--- a/ext/bs2b/meson.build
+++ b/ext/bs2b/meson.build
@@ -8,7 +8,7 @@ if bs2b_dep.found()
     c_args : gst_plugins_bad_args,
     link_args : noseh_link_args,
     include_directories : [configinc, libsinc],
-    dependencies : [gstaudio_dep, gstbase_dep, bs2b_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, gstbase_dep, bs2b_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/bz2/meson.build b/ext/bz2/meson.build
index 9ce8a8c..3610fea 100644
--- a/ext/bz2/meson.build
+++ b/ext/bz2/meson.build
@@ -11,7 +11,7 @@ if bz2_dep.found() and cc.has_header_symbol('bzlib.h', 'BZ2_bzlibVersion')
     bz2_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstvideo_dep, bz2_dep],
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, bz2_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/chromaprint/meson.build b/ext/chromaprint/meson.build
index c2f5a4b..7506d3b 100644
--- a/ext/chromaprint/meson.build
+++ b/ext/chromaprint/meson.build
@@ -5,7 +5,7 @@ if chromaprint_dep.found()
     'gstchromaprint.c',
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep, chromaprint_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, chromaprint_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/closedcaption/meson.build b/ext/closedcaption/meson.build
index 6b7df1c..12800e0 100644
--- a/ext/closedcaption/meson.build
+++ b/ext/closedcaption/meson.build
@@ -17,7 +17,7 @@ if closedcaption_dep.found()
     c_args : gst_plugins_bad_args,
     link_args : noseh_link_args,
     include_directories : [configinc],
-    dependencies : [gstvideo_dep, gstbase_dep, gst_dep, closedcaption_dep, libm],
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, gstbase_dep, gst_dep, closedcaption_dep, libm],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/codec2json/meson.build b/ext/codec2json/meson.build
index 96e4b7e..5c624b9 100644
--- a/ext/codec2json/meson.build
+++ b/ext/codec2json/meson.build
@@ -19,7 +19,7 @@ if json_dep.found()
     include_directories : [configinc],
     install : true,
     install_dir : plugins_install_dir,
-    dependencies : [gstvideo_dep, gstcodecparsers_dep, json_dep],
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, gstcodecparsers_dep, json_dep],
   )
   plugins += [gstcodec2json]
 endif
diff --git a/ext/colormanagement/meson.build b/ext/colormanagement/meson.build
index 187d089..9cb35ac 100644
--- a/ext/colormanagement/meson.build
+++ b/ext/colormanagement/meson.build
@@ -5,7 +5,7 @@ if lcms2_dep.found()
     c_args : gst_plugins_bad_args,
     link_args : noseh_link_args,
     include_directories : [configinc],
-    dependencies : [gstbase_dep, gstvideo_dep, lcms2_dep],
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, lcms2_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/curl/meson.build b/ext/curl/meson.build
index eb8d286..8167037 100644
--- a/ext/curl/meson.build
+++ b/ext/curl/meson.build
@@ -23,7 +23,7 @@ if curl_dep.found()
     curl_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc, libsinc],
-    dependencies : [gstbase_dep, curl_dep] + winsock2 + network_deps,
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, curl_dep] + winsock2 + network_deps,
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/dash/meson.build b/ext/dash/meson.build
index dbaf99e..ba79158 100644
--- a/ext/dash/meson.build
+++ b/ext/dash/meson.build
@@ -45,7 +45,7 @@ if xml2_dep.found()
     c_args : gst_plugins_bad_args + ['-DGST_USE_UNSTABLE_API'],
     link_args : noseh_link_args,
     include_directories : [configinc, libsinc],
-    dependencies : [gstadaptivedemux_dep, gsturidownloader_dep, gsttag_dep,
+    dependencies : [glib_dep, gobject_dep, gstadaptivedemux_dep, gsturidownloader_dep, gsttag_dep,
                     gstnet_dep, gstpbutils_dep, gstbase_dep, gstisoff_dep,
                     gio_dep, xml2_dep],
     install : true,
diff --git a/ext/dc1394/meson.build b/ext/dc1394/meson.build
index 7255e64..543813a 100644
--- a/ext/dc1394/meson.build
+++ b/ext/dc1394/meson.build
@@ -4,7 +4,7 @@ if dc1394_dep.found()
     'gstdc1394src.c',
     c_args: gst_plugins_bad_args,
     include_directories: [configinc],
-    dependencies: [gstvideo_dep, dc1394_dep],
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, dc1394_dep],
     install: true,
     install_dir: plugins_install_dir,
   )
diff --git a/ext/directfb/meson.build b/ext/directfb/meson.build
index e3023c5..e6b983a 100644
--- a/ext/directfb/meson.build
+++ b/ext/directfb/meson.build
@@ -5,7 +5,7 @@ if directfb_dep.found()
     'dfbvideosink.c',
     c_args : gst_plugins_bad_args + cc.get_supported_arguments('-Wno-redundant-decls'),
     include_directories : [configinc],
-    dependencies : [gstvideo_dep, directfb_dep],
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, directfb_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/dtls/meson.build b/ext/dtls/meson.build
index ca07da0..8701e54 100644
--- a/ext/dtls/meson.build
+++ b/ext/dtls/meson.build
@@ -21,7 +21,7 @@ if openssl_dep.found() and libcrypto_dep.found()
     dtls_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gst_dep, libcrypto_dep, openssl_dep] + winsock2,
+    dependencies : [glib_dep, gobject_dep, gst_dep, libcrypto_dep, openssl_dep] + winsock2,
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/dts/meson.build b/ext/dts/meson.build
index c4868a4..33120e1 100644
--- a/ext/dts/meson.build
+++ b/ext/dts/meson.build
@@ -32,7 +32,7 @@ if dca_dep.found()
     c_args : gst_plugins_bad_args + no_warn_c_args,
     link_args : noseh_link_args,
     include_directories : [configinc, libsinc],
-    dependencies : [gstaudio_dep, orc_dep, dca_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, orc_dep, dca_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/faac/meson.build b/ext/faac/meson.build
index 4b1e54c..15fd8fd 100644
--- a/ext/faac/meson.build
+++ b/ext/faac/meson.build
@@ -9,7 +9,7 @@ if faac_dep.found() and have_faac_h
     'gstfaac.c',
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep, gstpbutils_dep, gsttag_dep, faac_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, gstpbutils_dep, gsttag_dep, faac_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/faad/meson.build b/ext/faad/meson.build
index e7ba28c..a2b01f8 100644
--- a/ext/faad/meson.build
+++ b/ext/faad/meson.build
@@ -24,7 +24,7 @@ if faad_dep.found() and have_faad_2_7
     c_args : gst_plugins_bad_args + [ '-DFAAD2_MINOR_VERSION=7', '-DFAAD_IS_NEAAC' ],
     link_args : noseh_link_args,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep, gstpbutils_dep, gsttag_dep, faad_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, gstpbutils_dep, gsttag_dep, faad_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/fdkaac/meson.build b/ext/fdkaac/meson.build
index 2d30cb7..7a53939 100644
--- a/ext/fdkaac/meson.build
+++ b/ext/fdkaac/meson.build
@@ -17,7 +17,7 @@ if fdkaac_dep.found()
     ['gstfdkaac.c', 'gstfdkaacenc.c', 'gstfdkaacdec.c','gstfdkaacplugin.c'],
     c_args : gst_plugins_bad_args + fdkaac_defines,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep, gstpbutils_dep, fdkaac_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, gstpbutils_dep, fdkaac_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/flite/meson.build b/ext/flite/meson.build
index 8e8a654..bb6063e 100644
--- a/ext/flite/meson.build
+++ b/ext/flite/meson.build
@@ -31,7 +31,7 @@ if flite_deps.length() == flite_libs.length() and have_flite_h
     flite_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep] + flite_deps,
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep] + flite_deps,
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/fluidsynth/meson.build b/ext/fluidsynth/meson.build
index 20da6d8..c3da641 100644
--- a/ext/fluidsynth/meson.build
+++ b/ext/fluidsynth/meson.build
@@ -5,7 +5,7 @@ if fluidsynth_dep.found()
     'gstfluiddec.c',
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep, gst_dep, fluidsynth_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, gst_dep, fluidsynth_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/gme/meson.build b/ext/gme/meson.build
index 3f31e9c..4807764 100644
--- a/ext/gme/meson.build
+++ b/ext/gme/meson.build
@@ -13,7 +13,7 @@ if have_gme
   gstgme = library('gstgme', 'gstgme.c',
     c_args: gst_plugins_bad_args,
     include_directories: [configinc],
-    dependencies: [gstaudio_dep, gme_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, gme_dep],
     install: true,
     install_dir: plugins_install_dir,
   )
diff --git a/ext/gs/meson.build b/ext/gs/meson.build
index 07429e4..275550b 100644
--- a/ext/gs/meson.build
+++ b/ext/gs/meson.build
@@ -13,7 +13,7 @@ if gs_dep.found()
     c_args : gst_plugins_bad_args,
     cpp_args : gst_plugins_bad_args,
     include_directories : [configinc, libsinc],
-    dependencies : [gstbase_dep, gs_dep],
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, gs_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/gsm/meson.build b/ext/gsm/meson.build
index 5961cd0..aed0ff6 100644
--- a/ext/gsm/meson.build
+++ b/ext/gsm/meson.build
@@ -20,7 +20,7 @@ if gsm_dep.found() and have_gsm_create
     ['gstgsm.c', 'gstgsmenc.c', 'gstgsmdec.c'],
     c_args : gst_plugins_bad_args + gsm_cargs,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep, gsm_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, gsm_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/gtk/meson.build b/ext/gtk/meson.build
index 70a45b8..ff063c6 100644
--- a/ext/gtk/meson.build
+++ b/ext/gtk/meson.build
@@ -18,7 +18,7 @@ if gtk_dep.found() and gtk_wayland_dep.found()
     gtkwayland_sources,
     c_args :  gst_plugins_bad_args + ['-DGST_USE_UNSTABLE_API'],
     include_directories : [configinc],
-    dependencies : [gtk_dep, gstvideo_dep, gstwayland_dep],
+    dependencies : [glib_dep, gobject_dep, gtk_dep, gstvideo_dep, gstwayland_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/hls/meson.build b/ext/hls/meson.build
index bfd370b..cc732c1 100644
--- a/ext/hls/meson.build
+++ b/ext/hls/meson.build
@@ -57,7 +57,7 @@ gsthls = library('gsthls',
   c_args : gst_plugins_bad_args + hls_cargs,
   link_args : noseh_link_args,
   include_directories : [configinc],
-  dependencies : [gstpbutils_dep, gsttag_dep, gstvideo_dep,
+  dependencies : [glib_dep, gobject_dep, gstpbutils_dep, gsttag_dep, gstvideo_dep,
                   gstadaptivedemux_dep, gsturidownloader_dep,
                   hls_crypto_dep, gio_dep, libm],
   install : true,
diff --git a/ext/iqa/meson.build b/ext/iqa/meson.build
index d31825a..562c72c 100644
--- a/ext/iqa/meson.build
+++ b/ext/iqa/meson.build
@@ -11,7 +11,7 @@ if dssim_dep.found()
     'iqa.c',
     c_args : gst_plugins_bad_args + ['-DGST_USE_UNSTABLE_API', '-DHAVE_DSSIM'],
     include_directories : [configinc],
-    dependencies : [gstvideo_dep, gstbase_dep, gst_dep, dssim_dep],
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, gstbase_dep, gst_dep, dssim_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/isac/meson.build b/ext/isac/meson.build
index 68e9e4f..57f394e 100644
--- a/ext/isac/meson.build
+++ b/ext/isac/meson.build
@@ -16,7 +16,7 @@ if webrtc_audio_coding_dep.found()
   gstisac = library('gstisac', isac_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep, webrtc_audio_coding_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, webrtc_audio_coding_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/ladspa/meson.build b/ext/ladspa/meson.build
index 946ef9b..ad09fb4 100644
--- a/ext/ladspa/meson.build
+++ b/ext/ladspa/meson.build
@@ -28,7 +28,7 @@ if have_ladspa_h
     c_args : gst_plugins_bad_args + ladspa_cargs,
     link_args : noseh_link_args,
     include_directories : [configinc, libsinc],
-    dependencies : [gstaudio_dep, gstbase_dep, gmodule_dep, lrdf_dep, libm],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, gstbase_dep, gmodule_dep, lrdf_dep, libm],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/lc3/meson.build b/ext/lc3/meson.build
index 89c24fd..5007b52 100644
--- a/ext/lc3/meson.build
+++ b/ext/lc3/meson.build
@@ -11,7 +11,7 @@ if lc3_dep.found()
     lc3_sources,
     c_args: gst_plugins_bad_args,
     include_directories: [configinc],
-    dependencies: [gstaudio_dep, lc3_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, lc3_dep],
     install: true,
     install_dir: plugins_install_dir,
   )
diff --git a/ext/ldac/meson.build b/ext/ldac/meson.build
index 389af65..62a0def 100644
--- a/ext/ldac/meson.build
+++ b/ext/ldac/meson.build
@@ -10,7 +10,7 @@ if ldac_dep.found()
     ldac_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep, ldac_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, ldac_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/libde265/meson.build b/ext/libde265/meson.build
index 1cd7dd6..f9ed146 100644
--- a/ext/libde265/meson.build
+++ b/ext/libde265/meson.build
@@ -10,7 +10,7 @@ if de265_dep.found()
     de265_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstvideo_dep, de265_dep],
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, de265_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/lv2/meson.build b/ext/lv2/meson.build
index c6ad91f..b127296 100644
--- a/ext/lv2/meson.build
+++ b/ext/lv2/meson.build
@@ -12,7 +12,7 @@ if lv2_dep.found()
     c_args : gst_plugins_bad_args,
     link_args : noseh_link_args,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep, gstbase_dep, lv2_dep, libm],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, gstbase_dep, lv2_dep, libm],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/mdns/meson.build b/ext/mdns/meson.build
index ffa7493..7394908 100644
--- a/ext/mdns/meson.build
+++ b/ext/mdns/meson.build
@@ -8,7 +8,7 @@ if microdns_dep.found()
     ['gstmicrodns.c', 'gstmicrodnsdevice.c'],
     c_args : gst_plugins_bad_args,
     include_directories : incdirs,
-    dependencies : [gst_dep, microdns_dep],
+    dependencies : [glib_dep, gobject_dep, gst_dep, microdns_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/modplug/meson.build b/ext/modplug/meson.build
index 0cd3025..f4fcb0e 100644
--- a/ext/modplug/meson.build
+++ b/ext/modplug/meson.build
@@ -9,7 +9,7 @@ if modplug_dep.found()
     'gstmodplug.cc',
     cpp_args: gst_plugins_bad_args,
     include_directories: [configinc],
-    dependencies: [gstaudio_dep, modplug_dep, libm],
+    dependencies: [glib_dep, gobject_dep, gstaudio_dep, modplug_dep, libm],
     install: true,
     install_dir: plugins_install_dir,
   )
diff --git a/ext/mpeg2enc/meson.build b/ext/mpeg2enc/meson.build
index baa0a62..86cc25c 100644
--- a/ext/mpeg2enc/meson.build
+++ b/ext/mpeg2enc/meson.build
@@ -30,7 +30,7 @@ if mjpegtools_dep.found() and mpeg2enc_dep.found()
     cpp_args : gst_plugins_bad_args + ['-DGST_MJPEGTOOLS_API=20000'] + no_warn_args,
     link_args : noseh_link_args,
     include_directories : [configinc, libsinc],
-    dependencies : [gstvideo_dep, mjpegtools_dep, mpeg2enc_dep],
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, mjpegtools_dep, mpeg2enc_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/mplex/meson.build b/ext/mplex/meson.build
index 024293b..ded1a7a 100644
--- a/ext/mplex/meson.build
+++ b/ext/mplex/meson.build
@@ -16,7 +16,7 @@ if mjpegtools_dep.found() and mplex2_dep.found()
     cpp_args : gst_plugins_bad_args + ['-DGST_MJPEGTOOLS_API=20000'],
     link_args : noseh_link_args,
     include_directories : [configinc, libsinc],
-    dependencies : [gstaudio_dep, mjpegtools_dep, mplex2_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, mjpegtools_dep, mplex2_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/musepack/meson.build b/ext/musepack/meson.build
index 1cec04d..5b8a9f4 100644
--- a/ext/musepack/meson.build
+++ b/ext/musepack/meson.build
@@ -6,7 +6,7 @@ if mpcdec_dep.found() and cc.has_header_symbol('mpc/mpcdec.h', 'mpc_demux_init',
     c_args : gst_plugins_bad_args,
     link_args : noseh_link_args,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep, mpcdec_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, mpcdec_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/neon/meson.build b/ext/neon/meson.build
index 7c2696c..1fb3384 100644
--- a/ext/neon/meson.build
+++ b/ext/neon/meson.build
@@ -5,7 +5,7 @@ if neon_dep.found()
     'gstneonhttpsrc.c',
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstbase_dep, neon_dep],
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, neon_dep],
     install : true,
     install_dir : plugins_install_dir)
   plugins += [gstneon]
diff --git a/ext/onnx/meson.build b/ext/onnx/meson.build
index ceb0b9a..8dd5e5d 100644
--- a/ext/onnx/meson.build
+++ b/ext/onnx/meson.build
@@ -23,7 +23,7 @@ if onnxrt_dep.found()
     cpp_args : gst_plugins_bad_args + extra_args,
     link_args : noseh_link_args,
     include_directories : [configinc, libsinc, cuda_stubinc],
-    dependencies : [gstbase_dep, gstvideo_dep, gstanalytics_dep, onnxrt_dep,
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gstanalytics_dep, onnxrt_dep,
         libm, gio_dep] + extra_deps,
     install : true,
     install_dir : plugins_install_dir,
diff --git a/ext/openal/meson.build b/ext/openal/meson.build
index 8a2f430..eaed808 100644
--- a/ext/openal/meson.build
+++ b/ext/openal/meson.build
@@ -5,7 +5,7 @@ if openal_dep.found()
     'gstopenal.c', 'gstopenalelement.c', 'gstopenalsink.c', 'gstopenalsrc.c',
     c_args: gst_plugins_bad_args,
     include_directories: [configinc, libsinc],
-    dependencies: [gstaudio_dep, openal_dep],
+    dependencies: [glib_dep, gobject_dep, gstaudio_dep, openal_dep],
     install: true,
     install_dir: plugins_install_dir,
   )
diff --git a/ext/openaptx/meson.build b/ext/openaptx/meson.build
index ee434ca..8f094c3 100644
--- a/ext/openaptx/meson.build
+++ b/ext/openaptx/meson.build
@@ -22,7 +22,7 @@ if openaptx_dep.found()
     openaptx_sources,
     c_args : gst_plugins_bad_args + openaptx_defines,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep, openaptx_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, openaptx_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/opencv/meson.build b/ext/opencv/meson.build
index bd3a07d..f5a33df 100644
--- a/ext/opencv/meson.build
+++ b/ext/opencv/meson.build
@@ -40,7 +40,7 @@ if opencv_found
     cpp_args : gst_plugins_bad_args + gstopencv_cargs + [ '-DGST_USE_UNSTABLE_API' ],
     link_args : [noseh_link_args, '-lopencv_tracking'],
     include_directories : [configinc, libsinc],
-    dependencies : [gstbase_dep, gstvideo_dep, opencv_dep, gstopencv_dep],
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, opencv_dep, gstopencv_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/openexr/meson.build b/ext/openexr/meson.build
index 66f8d87..808b03f 100644
--- a/ext/openexr/meson.build
+++ b/ext/openexr/meson.build
@@ -28,7 +28,7 @@ if openexr_dep.found()
     cpp_args: gst_plugins_bad_args,
     link_args: noseh_link_args,
     include_directories: [configinc, libsinc],
-    dependencies: [gstvideo_dep, openexr_dep],
+    dependencies: [glib_dep, gobject_dep, gstvideo_dep, openexr_dep],
     override_options: openexr_override_options,
     install: true,
     install_dir: plugins_install_dir,
diff --git a/ext/openh264/meson.build b/ext/openh264/meson.build
index c6f247e..e29262b 100644
--- a/ext/openh264/meson.build
+++ b/ext/openh264/meson.build
@@ -14,7 +14,7 @@ if openh264_dep.found()
     c_args : gst_plugins_bad_args,
     link_args : noseh_link_args,
     include_directories : [configinc],
-    dependencies : [gstvideo_dep, openh264_dep, gstpbutils_dep, ],
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, openh264_dep, gstpbutils_dep, ],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/openjpeg/meson.build b/ext/openjpeg/meson.build
index 05a895e..635ce19 100644
--- a/ext/openjpeg/meson.build
+++ b/ext/openjpeg/meson.build
@@ -17,7 +17,7 @@ if openjpeg_dep.found()
     c_args : gst_plugins_bad_args + openjpeg_cargs,
     link_args : noseh_link_args,
     include_directories : [configinc],
-    dependencies : [gst_dep, gstvideo_dep, openjpeg_dep,
+    dependencies : [glib_dep, gobject_dep, gst_dep, gstvideo_dep, openjpeg_dep,
 		    gstcodecparsers_dep, libm],
     install : true,
     install_dir : plugins_install_dir,
diff --git a/ext/openmpt/meson.build b/ext/openmpt/meson.build
index 3ef0860..e85a991 100644
--- a/ext/openmpt/meson.build
+++ b/ext/openmpt/meson.build
@@ -4,7 +4,7 @@ if openmpt_dep.found()
     'gstopenmptdec.c', 'plugin.c',
     c_args: gst_plugins_bad_args,
     include_directories: [configinc],
-    dependencies: [gstbadaudio_dep, gstaudio_dep, openmpt_dep],
+    dependencies : [glib_dep, gobject_dep, gstbadaudio_dep, gstaudio_dep, openmpt_dep],
     install: true,
     install_dir: plugins_install_dir,
   )
diff --git a/ext/openni2/meson.build b/ext/openni2/meson.build
index b642fb2..7179ed9 100644
--- a/ext/openni2/meson.build
+++ b/ext/openni2/meson.build
@@ -9,7 +9,7 @@ if openni2_dep.found()
     cpp_args: gst_plugins_bad_args,
     link_args: noseh_link_args,
     include_directories: [configinc],
-    dependencies: [gstvideo_dep, openni2_dep],
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, openni2_dep],
     install: true,
     install_dir: plugins_install_dir,
   )
diff --git a/ext/opus/meson.build b/ext/opus/meson.build
index 5b20200..d83746f 100644
--- a/ext/opus/meson.build
+++ b/ext/opus/meson.build
@@ -12,7 +12,7 @@ if opus_dep.found()
     c_args : gst_plugins_bad_args,
     link_args : noseh_link_args,
     include_directories : [configinc],
-    dependencies : [gstrtp_dep, gstpbutils_dep, gstaudio_dep,
+    dependencies : [glib_dep, gobject_dep, gstrtp_dep, gstpbutils_dep, gstaudio_dep,
                     gsttag_dep, opus_dep, libm],
     install : true,
     install_dir : plugins_install_dir,
diff --git a/ext/qroverlay/meson.build b/ext/qroverlay/meson.build
index 42fbed9..39e7380 100644
--- a/ext/qroverlay/meson.build
+++ b/ext/qroverlay/meson.build
@@ -5,7 +5,7 @@ if qrencode_dep.found()
     gstqroverlay = library('gstqroverlay', ['gstqroverlay.c', 'gstdebugqroverlay.c', 'gstbaseqroverlay.c', 'gstqroverlayelement.c', 'gstqroverlayplugin.c'],
       c_args : gst_plugins_bad_args,
       include_directories : [configinc],
-      dependencies : [gstvideo_dep, qrencode_dep, json_dep],
+      dependencies : [glib_dep, gobject_dep, gstvideo_dep, qrencode_dep, json_dep],
       install : true,
       install_dir : plugins_install_dir,
     )
diff --git a/ext/qt6d3d11/meson.build b/ext/qt6d3d11/meson.build
index d94bfdf..c899960 100644
--- a/ext/qt6d3d11/meson.build
+++ b/ext/qt6d3d11/meson.build
@@ -45,7 +45,7 @@ gstqt6d3d11 = library('gstqt6d3d11', gstqt6d3d11_sources, moc_files,
   c_args : gst_plugins_bad_args + ['-DGST_USE_UNSTABLE_API'],
   cpp_args : gst_plugins_bad_args + ['-DGST_USE_UNSTABLE_API'],
   include_directories: [configinc, libsinc],
-  dependencies : [gst_dep, gstvideo_dep, gstd3d11_dep, qt6qml_dep],
+  dependencies : [glib_dep, gobject_dep, gst_dep, gstvideo_dep, gstd3d11_dep, qt6qml_dep],
   override_options : ['cpp_std=c++17'],
   install: true,
   install_dir : plugins_install_dir
diff --git a/ext/resindvd/meson.build b/ext/resindvd/meson.build
index 3f3c8f2..33eda9d 100644
--- a/ext/resindvd/meson.build
+++ b/ext/resindvd/meson.build
@@ -24,7 +24,7 @@ if dvdnav_dep.found() and dvdread_dep.found()
     c_args : gst_plugins_bad_args,
     link_args : noseh_link_args,
     include_directories : [configinc, libsinc],
-    dependencies : [gstvideo_dep, gstpbutils_dep, gsttag_dep,
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, gstpbutils_dep, gsttag_dep,
                     dvdnav_dep, dvdread_dep, gmodule_dep],
     install : true,
     install_dir : plugins_install_dir,
diff --git a/ext/rsvg/meson.build b/ext/rsvg/meson.build
index fc09d2b..056f22f 100644
--- a/ext/rsvg/meson.build
+++ b/ext/rsvg/meson.build
@@ -12,7 +12,7 @@ if rsvg_dep.found() and cairo_dep.found()
     c_args : gst_plugins_bad_args,
     link_args : noseh_link_args,
     include_directories : [configinc],
-    dependencies : [gstvideo_dep, rsvg_dep, cairo_dep],
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, rsvg_dep, cairo_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/rtmp/meson.build b/ext/rtmp/meson.build
index b297055..25926d8 100644
--- a/ext/rtmp/meson.build
+++ b/ext/rtmp/meson.build
@@ -12,7 +12,7 @@ if rtmp_dep.found()
     rtmp_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc, libsinc],
-    dependencies : [gstbase_dep, rtmp_dep] + winsock2,
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, rtmp_dep] + winsock2,
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/sbc/meson.build b/ext/sbc/meson.build
index 32247ac..0dfcceb 100644
--- a/ext/sbc/meson.build
+++ b/ext/sbc/meson.build
@@ -11,7 +11,7 @@ if sbc_dep.found()
     sbc_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep, sbc_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, sbc_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/sctp/meson.build b/ext/sctp/meson.build
index 2b4f88a..70f3e83 100644
--- a/ext/sctp/meson.build
+++ b/ext/sctp/meson.build
@@ -54,7 +54,7 @@ if sctp_dep.found() and sctp_header
     sctp_sources,
     c_args : gst_plugins_bad_args + sctp_args,
     include_directories : [configinc],
-    dependencies : [sctp_dep, gst_dep, gstbase_dep, gstsctp_dep, sctp_platform_deps],
+    dependencies : [glib_dep, gobject_dep, sctp_dep, gst_dep, gstbase_dep, gstsctp_dep, sctp_platform_deps],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/smoothstreaming/meson.build b/ext/smoothstreaming/meson.build
index 4a53721..fd840c0 100644
--- a/ext/smoothstreaming/meson.build
+++ b/ext/smoothstreaming/meson.build
@@ -13,7 +13,7 @@ if xml28_dep.found()
     c_args : gst_plugins_bad_args + ['-DGST_USE_UNSTABLE_API'],
     link_args : noseh_link_args,
     include_directories : [configinc, libsinc],
-    dependencies : [gst_dep, gstadaptivedemux_dep, gstcodecparsers_dep,
+    dependencies : [glib_dep, gobject_dep, gst_dep, gstadaptivedemux_dep, gstcodecparsers_dep,
 		    gsturidownloader_dep, gstisoff_dep, xml28_dep, gio_dep],
     install : true,
     install_dir : plugins_install_dir,
diff --git a/ext/sndfile/meson.build b/ext/sndfile/meson.build
index 7023316..9701a9a 100644
--- a/ext/sndfile/meson.build
+++ b/ext/sndfile/meson.build
@@ -5,7 +5,7 @@ if sndfile_dep.found()
     'gstsf.c', 'gstsfelement.c', 'gstsfdec.c', # 'gstsfsink.c', 'gstsfsrc.c',
     c_args: gst_plugins_bad_args,
     include_directories: [configinc, libsinc],
-    dependencies: [gstaudio_dep, gst_dep, sndfile_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, gst_dep, sndfile_dep],
     install: true,
     install_dir: plugins_install_dir,
   )
